Tag Archives: proftpd-1.3.5-6.el5.art.x86_64.rpm | 1.7 MB 00:00 warning: xxxx: Header V3 RSA/SHA1 signature: NOKEY

Unable to upgrade Plesk from 11.5.x ?

When trying to run an upgrade from Plesk panel or via scripts from the back-end, does this process gets halt due to the error given below ?

Tpsa-proftpd-1.3.5-6.el5.art.x86_64.rpm | 1.7 MB 00:00 warning: xxxx: Header V3 RSA/SHA1 signature: NOKEY, key ID xxxxxx

Fatal error during packages installation: Public key for psa-proftpd-xinetd-1.3.5-6.el5.art.x86_64.rpm is not installed. YumBaseError: Public key for psa-proftpd-xinetd-1.3.5-6.el5.art.x86_64.rpm is not installed ERROR: Failed to run the Yum utility. The Yum utility failed to install the required packages.
Attention! Your software might be inoperable.
Please, contact product technical support.

The upgrade tool is not able to verify the public key for a package. This is mostly due to the outdated version of the repo which provides the package. In this case upgrading the atomic-release will do the job for you.

# yum upgrade atomic-release

Once this is done, re-run the upgrade !